### Property

# Fwupd Device:update-state

since: 0.9.8

#### Declaration

    property update-state: guint [ read, write ]

#### Description [src]

The device update state.

Type:`guint`

Available since: 0.9.8

Default value | 0
Getter method | `fwupd_device_get_update_state()`
Setter method | `fwupd_device_set_update_state()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no